Skip to content

Volumes API

Service volumes.

3 operations. Every call needs a session cookie or an Authorization: Bearer nct_… token unless marked Public. Conventions, errors and scopes

GET/services/{serviceId}/volumes

List a service's volumes

ParameterInTypeDescription
serviceIdrequiredpathstring
Response 200 · OK · application/json
VolumeListOutputBody
  • VolumeView[] | nullrequired
Errors
  • 401Unauthorized
  • 403Forbidden
  • 404Not Found
  • 422Unprocessable Entity
  • 500Internal Server Error

Errors are RFC 9457 application/problem+json with a stable code field.

POST/services/{serviceId}/volumes

Attach a named volume (staged until deployed)

ParameterInTypeDescription
serviceIdrequiredpathstring
Request body · application/json · required
CreateVolumeInputBody
  • mountPathstringrequired
  • namestringrequired
Response 201 · Created · application/json
VolumeView
  • dockerNamestringrequired
  • idstringrequired
  • mountPathstringrequired
  • namestringrequired
  • restoreLabelstring
Errors
  • 401Unauthorized
  • 403Forbidden
  • 404Not Found
  • 409Conflict
  • 422Unprocessable Entity
  • 500Internal Server Error

Errors are RFC 9457 application/problem+json with a stable code field.

DELETE/volumes/{volumeId}

Detach a volume (staged); the Docker volume and its data are kept

ParameterInTypeDescription
volumeIdrequiredpathstring
Response 204 · No Content

No body.

Errors
  • 401Unauthorized
  • 403Forbidden
  • 404Not Found
  • 422Unprocessable Entity
  • 500Internal Server Error

Errors are RFC 9457 application/problem+json with a stable code field.